/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */
:root {
  --cm-bg-dark: #353535;
  --cm-bg-linear-gradient-dark: linear-gradient(120deg, #353535, #353535);
  --cm-bg-linear-gradient-red: linear-gradient(120deg, #dc3545, #ec5463);
  --cm-bg-gradient: linear-gradient(1deg, #353535 20%, #ec5463);
  --cm-bg-linear-gradient-blue-red: linear-gradient(315deg, #42378f 0%, #f53844 74%);
  --cm-bg-alert: #fff76e;
  --cm-bg-success: #369f64;
  --cm-color-white: #ffffff;
}

* {
  font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
  color: #24292e;
}
::-webkit-scrollbar {
  border-radius: 2px;
  height: 4px;
  opacity: .5;
  width: 5px;
}
::-webkit-scrollbar-thumb {
  background: #007bff !important;
  background: linear-gradient(to right, #007bff, #337ab7);
}
.bg-blue-red {
  background-image: var(--cm-bg-linear-gradient-blue-red);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
}

.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
@media (min-width: 768px) {
  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }
}
main > .container {
  padding: 60px 15px 0;
}
.navbar {
  padding-top: 0;
  padding-bottom: 0;
}
.navbar-brand {
  padding-top: 0;
  padding-bottom: 0;
}
.navbar-brand .logo {
  padding: 0;
  max-width: 240px;
  max-height: 55px;
}
.text-white-all * {
  color: var(--cm-color-white) !important;
}
.section-login {
  padding-top: 70px;
}
.form-group {
  margin-bottom: 1rem;
}
.app-input-group > .form-control:not(:first-child) {
  border-top-left-radius: .25rem !important;
  border-bottom-left-radius: .25rem !important;
  border-radius: .25rem !important;
}
.input-group>.input-group-append>.input-group-text{
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border: 0;
}
.app-ml-z {
  display: flex;
  margin-left: -50px !important;
  z-index: 5;
}
.app-bg-t {
  background-color: transparent;
}
.app-pass-on{
  background-image: url('data:image/svg+xml,%3csvg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-eye" fill="gray">  <path fill-rule="evenodd" d="M16 8s-3-5.5-8-5.5S0 8 0 8s3 5.5 8 5.5S16 8 16 8zM1.173 8a13.134 13.134 0 0 0 1.66 2.043C4.12 11.332 5.88 12.5 8 12.5c2.12 0 3.879-1.168 5.168-2.457A13.134 13.134 0 0 0 14.828 8a13.133 13.133 0 0 0-1.66-2.043C11.879 4.668 10.119 3.5 8 3.5c-2.12 0-3.879 1.168-5.168 2.457A13.133 13.133 0 0 0 1.172 8z"/>  <path fill-rule="evenodd" d="M8 5.5a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5zM4.5 8a3.5 3.5 0 1 1 7 0 3.5 3.5 0 0 1-7 0z"/></svg>');
  width: 24px;
  height: 24px;
  display: flex;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: 50% 50%;
}
.app-pass-off{
  background-image: url('data:image/svg+xml,%3csvg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-eye-slash" fill="gray"><path d="M13.359 11.238C15.06 9.72 16 8 16 8s-3-5.5-8-5.5a7.028 7.028 0 0 0-2.79.588l.77.771A5.944 5.944 0 0 1 8 3.5c2.12 0 3.879 1.168 5.168 2.457A13.134 13.134 0 0 1 14.828 8c-.058.087-.122.183-.195.288-.335.48-.83 1.12-1.465 1.755-.165.165-.337.328-.517.486l.708.709z"/><path d="M11.297 9.176a3.5 3.5 0 0 0-4.474-4.474l.823.823a2.5 2.5 0 0 1 2.829 2.829l.822.822zm-2.943 1.299l.822.822a3.5 3.5 0 0 1-4.474-4.474l.823.823a2.5 2.5 0 0 0 2.829 2.829z"/><path d="M3.35 5.47c-.18.16-.353.322-.518.487A13.134 13.134 0 0 0 1.172 8l.195.288c.335.48.83 1.12 1.465 1.755C4.121 11.332 5.881 12.5 8 12.5c.716 0 1.39-.133 2.02-.36l.77.772A7.029 7.029 0 0 1 8 13.5C3 13.5 0 8 0 8s.939-1.721 2.641-3.238l.708.709z"/><path fill-rule="evenodd" d="M13.646 14.354l-12-12 .708-.708 12 12-.708.708z"/></svg>');
  width: 24px;
  height: 24px;
  display: flex;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: 50% 50%;
}
.btn[disabled], .btn[disabled] *{
  opacity: 1;
  color: transparent !important;
  cursor: not-allowed !important;
  pointer-events: all;
}
.btn[disabled]:hover,
.btn[disabled]:focus{
  background-color: #0d6efd !important;
  border-color: #0d6efd !important;
}
/*css loading*/
.log-in-form .login-check-progress {
  position: absolute;
  min-height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-radius: .25rem;
  z-index: 500;
}
.btn .login-check-progress{
  top: inherit;
  left: inherit;
}
.log-in-form.not-authenticated > .login-check-progress {
  display: none
}
.log-in-form.not-authenticated .btn .login-check-progress:not(.show) {
  display: none
}
.spinner-infinite {
  -webkit-animation: rotate 2s linear infinite;
  animation: rotate 2s linear infinite;
  z-index: 2;
  position: absolute;
  top: 48%;
  left: 50%;
  margin: -25px 0 0 -25px;
  width: 50px;
  height: 50px;
}
.spinner-infinite .path {
  stroke: var(--cm-color-white);
  stroke-linecap: round;
  stroke-width: 3;
  fill: transparent !important;
  -webkit-animation: dash 1.5s ease-in-out infinite;
  animation: dash 1.5s ease-in-out infinite;
}
.btn .spinner-infinite {
  margin: auto;
  width: 32px;
  height: 32px;
  top: inherit;
  left: inherit;
}
@-webkit-keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes dash {
  0% {
    stroke-dasharray: 1, 150;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -124;
  }
}
@keyframes dash {
  0% {
    stroke-dasharray: 1, 150;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -124;
  }
}
/**
*css modal
*/
.modal-open .modal {
  padding: inherit;
}
.app-modal-content-alert {
  background-color: var(--cm-bg-alert);
  border: 0;
}
.app-modal-content-success {
  background-color: var(--cm-bg-success);
  border: 0;
}
#modalApp .modal-body{
  text-align: center;
}
.modal-body .icon-svg {
  position: relative;
  flex: 1 1 auto;
  padding-top: .8rem;
  padding-bottom: 2rem;
}
.modal-body .svg-200-circle,
.modal-body .svg-check-circle,
.modal-body .svg-alert-circle{
  margin: auto;
  width: 4rem;
  height: 4rem;
  position: relative;
  vertical-align: middle;
  background-position: 50% 50%;
  background-repeat: no-repeat;
}
.modal-body .svg-alert-circle{
  background-image: url('../svg/exclamation-circle-black.svg');
}
.modal-body .svg-200-circle,
.modal-body .svg-check-circle{
  background-image: url('../svg/check-circle-black.svg');
}
.app-modal-footer {
  padding: 0;
  border: 0;
  background-color: var(--cm-color-white);
}
.app-btn-toast {
  width: 100%;
  padding-top: 0.688rem;
  padding-bottom: 0.688rem;
  outline: none;
}
.modal-body .icon-svg {
  position: relative;
  flex: 1 1 auto;
  padding-top: .8rem;
  padding-bottom: 2rem;
}
@media (min-width: 1900px){
  main > .container {
    width: 100%;
    max-width: 82%;
    margin: auto;
    float: none;
  }
  footer > .container {
    width: 100%;
    margin: auto;
    float: none;
  }
  .section-login {
    padding-top: 200px;
    padding-bottom: 160px;
    min-height: 85vh;
  }
}
@media (max-width: 768px) {
  .section-login {
    padding-top: 20px;
  }
}